Package org.eclipse.emf.compare.provider.utils

# Class IStyledString.Style.StyleBuilder

java.lang.Object
org.eclipse.emf.compare.provider.utils.IStyledString.Style.StyleBuilder

Enclosing class:
  IStyledString.Style

public static final class IStyledString.Style.StyleBuilder extends Object
A `IStyledString.Style` builder.

## Constructor Summary

Constructors
Constructor
Description
`StyleBuilder()`

## Method Summary

Modifier and Type
Method
Description
`IStyledString.Style`
`build()`
Builds and returns a new Style instance regarding the values that have been given beforehands.
`IStyledString.Style.StyleBuilder`
`setBackgroundColor(URI pBackgroundColor)`
Set the background color.
`IStyledString.Style.StyleBuilder`
`setBorderColor(URI pBorderColor)`
Set the border color.
`IStyledString.Style.StyleBuilder`
`setBorderStyle(IStyledString.Style.BorderStyle pBorderStyle)`
Set the border color.
`IStyledString.Style.StyleBuilder`
`setFont(URI pFont)`
Set the font.
`IStyledString.Style.StyleBuilder`
`setForegroundColor(URI pForegroundColor)`
Set the foreground color.
`IStyledString.Style.StyleBuilder`
`setStrikedout(boolean pIsStrikedout)`
Set the strikedout.
`IStyledString.Style.StyleBuilder`
`setStrikeoutColor(URI pStrikeoutColor)`
Set the strikeout color.
`IStyledString.Style.StyleBuilder`
`setUnderlineColor(URI pUnderlineColor)`
Set the underline color.
`IStyledString.Style.StyleBuilder`
`setUnderlineStyle(IStyledString.Style.UnderLineStyle pUnderlineStyle)`
Set the underline style.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StyleBuilder

public StyleBuilder()

## Method Details

### setFont

public IStyledString.Style.StyleBuilder setFont(URI pFont)
Set the font.

Parameters:
  `pFont` - the font to set.
Returns:
  this.

### setBackgroundColor

public IStyledString.Style.StyleBuilder setBackgroundColor(URI pBackgroundColor)
Set the background color.

Parameters:
  `pBackgroundColor` - the backgroundColor to set
Returns:
  this.

### setForegroundColor

public IStyledString.Style.StyleBuilder setForegroundColor(URI pForegroundColor)
Set the foreground color.

Parameters:
  `pForegroundColor` - the forregroundColor to set
Returns:
  this

### setStrikedout

public IStyledString.Style.StyleBuilder setStrikedout(boolean pIsStrikedout)
Set the strikedout.

Parameters:
  `pIsStrikedout` - the isStrikedout to set
Returns:
  this.

### setStrikeoutColor

public IStyledString.Style.StyleBuilder setStrikeoutColor(URI pStrikeoutColor)
Set the strikeout color.

Parameters:
  `pStrikeoutColor` - the strikeoutColor to set
Returns:
  this.

### setBorderColor

public IStyledString.Style.StyleBuilder setBorderColor(URI pBorderColor)
Set the border color.

Parameters:
  `pBorderColor` - the borderColor to set
Returns:
  this.

### setBorderStyle

public IStyledString.Style.StyleBuilder setBorderStyle(IStyledString.Style.BorderStyle pBorderStyle)
Set the border color.

Parameters:
  `pBorderStyle` - the borderStyle to set
Returns:
  this.

### setUnderlineColor

public IStyledString.Style.StyleBuilder setUnderlineColor(URI pUnderlineColor)
Set the underline color.

Parameters:
  `pUnderlineColor` - the underlineColor to set
Returns:
  this.

### setUnderlineStyle

public IStyledString.Style.StyleBuilder setUnderlineStyle(IStyledString.Style.UnderLineStyle pUnderlineStyle)
Set the underline style.

Parameters:
  `pUnderlineStyle` - the underlineStyle to set
Returns:
  this.

### build

public IStyledString.Style build()
Builds and returns a new Style instance regarding the values that have been given beforehands.

Returns:
  a new Style instance regarding the values that have been given beforehands.